Option Strict On
Public Class frmStats
  Dim NumValues As Integer
  Dim SumX As Double
  Dim SumX2 As Double

  Private Sub btnAccept_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAccept.Click
    Dim Value As Double
    'make sure there is something there
    If txtInput.Text = "" Then
      Exit Sub
    End If
    'Get number and sum number and number-squared
    NumValues += 1
    txtNumber.Text = Str(NumValues)
    Value = Val(txtInput.Text)
    SumX += Value
    SumX2 += Value ^ 2
    txtInput.Text = ""
    txtInput.Focus()
  End Sub

  Private Sub btnCompute_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCompute.Click
    Dim Mean As Double
    Dim StdDev As Double
    'Make sure there are at least two values
    If NumValues < 2 Then
      Beep()
      Exit Sub
    End If
    Mean = SumX / NumValues
    txtMean.Text = Str(Mean)
    'Compute standard deviation
    StdDev = Math.Sqrt((NumValues * SumX2 - SumX ^ 2) / (NumValues * (NumValues - 1)))
    txtStdDev.Text = Str(StdDev)
    txtInput.Focus()
  End Sub

  Private Sub btnNew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNew.Click
    'Initialize all variables
    NumValues = 0
    txtNumber.Text = "0"
    txtInput.Text = ""
    txtMean.Text = ""
    txtStdDev.Text = ""
    SumX = 0
    SumX2 = 0
    txtInput.Focus()
  End Sub

  Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
    Me.Close()
  End Sub

  Private Sub txtInput_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtInput.KeyPress
    'Only allow numbers,backspace, minus sign, decimal point, return
    Select Case e.KeyChar
      Case CChar("0") To CChar("9"), ControlChars.Back
        'number or backspace
        e.Handled = False
      Case CChar("-")
        'make sure only one and in first position
        If InStr(txtInput.Text, "-") <> 0 Or txtInput.SelectionStart <> 0 Then
          e.Handled = True
        Else
          e.Handled = False
        End If
      Case CChar(".")
        'allow only one
        If InStr(txtInput.Text, ".") = 0 Then
          e.Handled = False
        Else
          e.Handled = True
        End If
      Case ControlChars.Cr
        btnAccept.PerformClick()
        e.Handled = False
      Case Else
        e.Handled = True
    End Select
  End Sub
End Class
