Option Strict On
Public Class frmCustomer
  Dim Activity(6) As CheckBox
  Dim MyCustomer As Customer
  Dim Loading As Boolean = True

  Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
    Me.Close()
  End Sub

  Private Sub btnNew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNew.Click
    'Blank out name and reset check boxes
    Dim I As Integer
    txtName.Text = ""
    txtAge.Text = ""
    For I = 1 To 6
      Activity(I).Checked = False
    Next
    txtName.Focus()
  End Sub

  Private Sub btnShow_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShow.Click
    Dim I As Integer
    'Check to make sure name entered
    If txtName.Text = "" Then
      MessageBox.Show("The profile requires a name.", "No Name Entered", MessageBoxButtons.OK, MessageBoxIcon.Error)
      txtName.Focus()
      Exit Sub
    Else
      MyCustomer.Name = txtName.Text
    End If
    'Check to make sure age entered
    If txtAge.Text = "" Then
      MessageBox.Show("The profile requires an age.", "No Age Entered", MessageBoxButtons.OK, MessageBoxIcon.Error)
      txtAge.Focus()
      Exit Sub
    Else
      MyCustomer.Age = txtAge.Text
    End If
    'set properties for profile
    If rdoMale.Checked Then
      MyCustomer.Sex = "Male"
    Else
      MyCustomer.Sex = "Female"
    End If
    MyCustomer.City = cboCity.Text
    'add activities (if any)
    For I = 1 To 6
      If Activity(I).Checked Then
        MyCustomer.Activity(I) = Activity(I).Text
      Else
        MyCustomer.Activity(I) = ""
      End If
    Next I
    MessageBox.Show(MyCustomer.CustomerProfile, "Customer Profile", MessageBoxButtons.OK)
  End Sub

  Private Sub frmCustomer_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    'get customer object
    MyCustomer = New Customer
    'Load combo box with potential city names
    cboCity.Items.Add("Seattle")
    cboCity.Text = "Seattle"
    cboCity.Items.Add("Bellevue")
    cboCity.Items.Add("Kirkland")
    cboCity.Items.Add("Everett")
    cboCity.Items.Add("Mercer Island")
    cboCity.Items.Add("Renton")
    cboCity.Items.Add("Issaquah")
    cboCity.Items.Add("Kent")
    cboCity.Items.Add("Bothell")
    cboCity.Items.Add("Tukwila")
    cboCity.Items.Add("West Seattle")
    cboCity.Items.Add("Edmonds")
    cboCity.Items.Add("Tacoma")
    cboCity.Items.Add("Federal Way")
    cboCity.Items.Add("Burien")
    cboCity.Items.Add("SeaTac")
    cboCity.Items.Add("Woodinville")
    'check box array
    Activity(1) = chkRun
    Activity(2) = chkWalk
    Activity(3) = chkBike
    Activity(4) = chkSwim
    Activity(5) = chkSki
    Activity(6) = chkSkate
    Loading = False
  End Sub

  Private Sub txtAge_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtAge.KeyPress
    'Only allow numbers for age
    Select Case e.KeyChar
      Case CChar("0") To CChar("9"), ControlChars.Back
        'keystroke ok
        e.Handled = False
      Case Else
        e.Handled = True
    End Select
  End Sub

  Private Sub rdoLevel_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoBeginner.CheckedChanged, rdoIntermediate.CheckedChanged, rdoAdvanced.CheckedChanged, rdoExtreme.CheckedChanged
    If Loading Then Exit Sub
    Dim rdoLevel As RadioButton
    'Determine which button was clicked and change level
    rdoLevel = CType(sender, RadioButton)
    MyCustomer.AthleticLevel = rdoLevel.Text
  End Sub

End Class
